Accountbetalingen

GET https://wwidgets.com/api/payments/
curl --request GET \
--url 'https://wwidgets.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Beschrijving
processor Optioneel String Toegestane waarden: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, onepay, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut
status Optioneel String Toegestane waarden: paid, pending, cancelled, refunded
type Optioneel String Toegestane waarden: one_time, recurring
frequency Optioneel String Toegestane waarden: monthly, quarterly, biannual, annual, lifetime
datetime_field Optioneel String Toegestane waarden: datetime
datetime_start Optioneel String Filter resultaten vanaf deze datum en tijd. Formaat Y-m-d H:i:s.
datetime_end Optioneel String Filter resultaten tot deze datum en tijd. Formaat Y-m-d H:i:s.
order_by Optioneel String Op welk veld de resultaten worden gesorteerd. Toegestane waarden zijn: id, datetime, total_amount.
order_type Optioneel String De sortering van de resultaten. Toegestane waarden zijn: ASC voor oplopende sortering en DESC voor aflopende sortering.
page Optioneel Integer Het paginanummer waarvan je resultaten wilt. Standaard 1.
results_per_page Optioneel Integer Hoeveel resultaten je per pagina wilt. Toegestane waarden zijn: 10, 25, 50, 100, 250, 500, 1000. Standaard 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "plan_id": 1,
            "payment_id": "pi_123456789",
            "base_amount": 4.99,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "code": null,
            "discount_amount": 0,
            "email": "[email protected]",
            "name": null,
            "total_amount": 4.99,
            "total_amount_default_currency": 4.99,
            "currency": "USD",
            "status": "paid",
            "plan": null,
            "billing": null,
            "business": null,
            "taxes_ids": null,
            "payment_proof": null,
            "payment_proof_url": null,
            "refunds": [],
            "refunded_total": 0,
            "refunded_status": null,
            "datetime": "2026-10-16 16:46:50"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://wwidgets.com/api/payments?page=1",
        "last": "https://wwidgets.com/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://wwidgets.com/api/payments?page=1"
    }
}
GET https://wwidgets.com/api/payments/{id}
curl --request GET \
--url 'https://wwidgets.com/api/payments/{id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "plan_id": 1,
        "payment_id": "pi_123456789",
        "base_amount": 4.99,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "code": null,
        "discount_amount": 0,
        "email": "[email protected]",
        "name": null,
        "total_amount": 4.99,
        "total_amount_default_currency": 4.99,
        "currency": "USD",
        "status": "paid",
        "plan": null,
        "billing": null,
        "business": null,
        "taxes_ids": null,
        "payment_proof": null,
        "payment_proof_url": null,
        "refunds": [],
        "refunded_total": 0,
        "refunded_status": null,
        "datetime": "2026-10-16 16:46:50"
    }
}